package com.qmth.distributed.print.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 流程重命名参数
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/8/6
 */
public class CustomFlowRenameParam implements Serializable {

    @ApiModelProperty(value = "自定义流程id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "id不能为空")
    private Long id;

    @ApiModelProperty(value = "自定义流程名称")
    @NotNull(message = "流程名称不能为空")
    private String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

}
